# Taxonomy Term Glossary

This flexible module uses a vocabulary (taxonomy) as a glossary.
it auto scans the fields (you configure it to) for uses of taxonomy
terms defined in your vocabulary.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/term_glossary).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/term_glossary).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

**Enable Taxonomy term glossary**

To enable the module, go to `/admin/config/glossary` and choose the
taxonomy vocabulary to use as source of highlighted terms.

**Enable Term glossary filter**

Taxonomy term glossary will parse the entity text fields rendered
string to add html tags around found words.
Go to the display options of the text fields you want to parse in the entity
display forms and check the option "Enable term glossary"


## Configuration

The module currently provides no configuration options.


## Maintainers

- Bálint Nagy - [nagy.balint](https://www.drupal.org/u/nagybalint)
- olivier.br - [olivier.br](https://www.drupal.org/u/olivierbr)
- Taggart Jensen - [taggartj](https://www.drupal.org/u/taggartj)
